Package Details: belr-git 0.1.3.r30.g6dc5d2f-1

Git Clone URL: https://aur.archlinux.org/belr-git.git (read-only)
Package Base: belr-git
Description: A library for working with vCards
Upstream URL: http://www.linphone.org/
Licenses: GPL
Conflicts: belr
Provides: belr
Submitter: thrasibule
Maintainer: thrasibule
Last Packager: thrasibule
Votes: 1
Popularity: 0.090958
First Submitted: 2017-10-15 17:33
Last Updated: 2018-01-12 01:40

Latest Comments

cguenther commented on 2018-01-09 12:52

I toggled a dependency problem.

This package gelr-git is tried to be installed, when i install linphone-desktop-git. belr-git depends on bctoolbox and installs in my case the community version of bctoolbox, which then leads to the following error:

CMake Error at CMakeLists.txt:53 (find_package): By not providing "FindBcToolbox.cmake" in CMAKE_MODULE_PATH this project has asked CMake to find a package configuration file provided by "BcToolbox", but CMake did not find one.

Could not find a package configuration file provided by "BcToolbox" (requested version 0.0.3) with any of the following names:

BcToolboxConfig.cmake
bctoolbox-config.cmake

Add the installation prefix of "BcToolbox" to CMAKE_PREFIX_PATH or set "BcToolbox_DIR" to a directory containing one of the above files. If "BcToolbox" provides a separate development package or SDK, be sure it has been installed.

This is caused by the fact, that the bctoolbox from community does not provide the cmake files. bctoolbox-git does provide those files. So this package should depend hardly on bctoolbox-git, without the option of using bctoolbox from community.